body { margin:0px; overflow:hidden; }
table { padding:0px; margin:0px; border-spacing:0px; cursor:default; }

@font-face { font-family:liberation_sans; src:url('LiberationSans-Regular.ttf'); }
@font-face { font-family:liberation_narrow; src:url('LiberationSansNarrow-Regular.ttf'); }
/*
table.crossword { border:1px solid #000; border-width:0px 1px 1px 0px; padding:0px; margin:0px; border-spacing:0px; }
table.crossword td { border:1px solid #000; border-width:1px 0px 0px 1px;  padding:0px; }
*/

.ui-front { z-index:2000!important; }
.ui-widget-overlay { z-index:2000!important; }
.ui-dialog { z-index:2001!important; }

div.app_container { position:relative; overflow:hidden; }

div.bg_container { position:absolute; overflow:hidden; }

div.bg_container img { cursor:move; }


table.crossword { position:relative; z-index:1000; border:1px solid rgba(0,0,0,0); #000; border-width:0px; xborder-width:1px 1px 0px 0px; padding:0px; margin:0px; border-spacing:0px; }
table.crossword td { border:1px solid #000; border-width:0px 0px 1px 1px; /*min-width:60px; width:60px; height:60px;*/ padding:0px;
  /*border-top:1px solid rgba(0,0,0,0); border-right:1px solid rgba(0,0,0,0);*/
}

/* table.crossword td.char { background-color:#fff; } */

table.crossword td.char.border-right, table.crossword td.def.border-right { border-right:1px solid #000; }
table.crossword td.char.border-top, table.crossword td.def.border-top { border-top:1px solid #000; }

table.crossword .char { background-color:#fff; }

table.crossword td.char.solution { background-color:#ff0; }
table.crossword td.char.hlt { background-color:#cce; }

table.crossword td.char.hlt_sbedit { background-color:#aae; }

table.crossword td.char.sel { background-color:#888!important; }

table.crossword td.char.solution_done { background-color:#8f8; }

table.crossword td.char { /*font-size:30px;*/ text-align:center; xvertical-align:middle; font-family:liberation_sans;  }

table.crossword td.char div.cell_ch_number { display:block; position:relative; width:0px; height:0px; border:0px; padding:0px; overflow:visible; font-family:liberation_sans; } /*text-align:left; vertical-align:top; position:relative; }*/










table.crossword td.def { /*font-size:8px;*/ letter-spacing:0px; font-weight:bold; /*line-height:9px;*/ background-color:#eee; vertical-align:top; padding:0px; cursor:pointer; font-family:liberation_sans; }

table.crossword td.def div.def { xbackground-image: url('../img/def_bg.png');  }


#ins_choices td.def { font-family:liberation_narrow; }

table.crossword td.def div.def { border-bottom:1px solid #aaa; }
table.crossword td.def div.def p {
/*	word-break:break-word; */

/*http://stackoverflow.com/questions/1795109/what-is-the-difference-between-word-break-break-all-versus-word-wrap-break*/

-ms-word-break: break-all;
 word-break: break-all;

 /* Non standard for webkit */
 word-break: break-word;

-webkit-hyphens: auto;
   -moz-hyphens: auto;
    -ms-hyphens: auto;
        hyphens: auto;
}



table.crossword td.def div.def_solution { /*font-size:30px;*/ background-color:#f00; color:#000; }
table.crossword td.def div.def.hvr { background-color:#aaa; }
table.crossword td.def div.def.sel { background-color:#99b; color:#000; }

table.crossword td.def div.def p { padding:0px 2px; text-align:center; margin:0px; }

table.crossword td.def div:last-child { border-bottom:0px }





table.crossword .arrow { display:block; position:relative; width:0px; height:0px; border:0px; padding:0px; overflow:visible; }







table.crossword td.hole { text-align:center; vertical-align:top; /*background-color:#ddd;*/ }









.def_list .highlight { color:#f00; }
.def_list li { border:1px solid #aaa; border-radius: 5px; background-color:#f0f0f0; padding:5px; margin-bottom:3px; /*transition:background-color 0.5s;*/ }
.def_list li:not(.hl):hover { background-color:#ccc; }
.def_list li.hl { background-color:#999; }
.def_list li.err1 { background-color:#f0e0e0; }
.def_list li.err1.hl { background-color:#f0a0a0; }
.def_list li.err2 { background-color:#f0d0d0; }
.def_list li.err2.hl { background-color:#f0a0a0; }

.hidden { display:none; }





/* file dialog */

.cx_table td { white-space: nowrap; }
.cx_table tr { cursor:pointer; }
.cx_table tr:hover td { background-color:#aad!important; transition:background-color 0.5s;}
.cx_table tr.highlight td { background-color:#336!important; color:#fff!important; }


.mwtbl_handle { margin-bottom:-16px; }

.cx_table th.header { background-image: url(../img/tablesorter/bg.gif);  background-color: #ddf; }
.cx_table th.headerSortUp { background-image: url(../img/tablesorter/asc.gif); background-color: #99e; }
.cx_table th.headerSortDown { background-image: url(../img/tablesorter/desc.gif); background-color: #88e; }
.cx_table tr.numeric td { text-align:right; Xfont-family:courier; }

/* editor */

/*
table.crossword td.def div.def.ed { background-color:#a00; color:#fff; }
table.crossword td.char.ed { background-color:#a00; color:#fff; }


table.crossword.cwe td.char.preset_cell { background-image: url('../img/preset_bg.png');  }


table.crossword .err0 { background-color:#fff; }
table.crossword td.char.solution.err0 { background-color:#ff0; }

table.crossword .err1 { background-color:#fdd; }
table.crossword td.char.solution.err1 { background-color:#fd0; }
table.crossword .err2 { background-color:#fcc; }
table.crossword td.char.solution.err2 { background-color:#fc0; }
table.crossword .err3 { background-color:#fbb; }
table.crossword td.char.solution.err3 { background-color:#fb0; }
table.crossword .err4 { background-color:#faa; }
table.crossword td.char.solution.err4 { background-color:#fa0; }
table.crossword .err5 { background-color:#f99; }
table.crossword td.char.solution.err5 { background-color:#f90; }


table.crossword div.def.selection { background-color:#666; color:#fff; border-color:#fff; }
table.crossword td.char.selection { background-color:#444; color:#fff; border-color:#fff; }
table.crossword td.char.sel.selection { background-color:#333!important; color:#fff; border-color:#fff; }
table.crossword td.hole.selection { background-color:#336; color:#fff; border-color:#fff; }







table.crossword td.char.cursor { background-color:#222!important; color:#fff; font-weight:bold; }
table.crossword td.char.sel.cursor { background-color:#222!important; color:#fff; font-weight:bold; }
*/







input.sel, textarea.sel { background-color:#ccf; }


.ar { text-align:right; }
.ac { text-align:center; }
.al { text-align:left; }

.bold { font-weight: bold; }


*.ui-state-disabled { cursor:default; }







/*.clue_dump ol { list-style: none; }*/
.clue_dump ol li::before { font-weight:bold; }
/*.clue_dump ol li { display:inline; margin-right:10px; }*/
.clue_dump h4 { margin-bottom:6px; }
.clue_dump h4:first-child { margin-top:0px; }





/* layout */
/*
#topbar { width:750px; height:34px; vertical-align:middle; background-color:#eee; border-bottom:5px solid #777; }

	#definition {
float:right; white-space:nowrap; text-align:left; width:400px; text-overflow:ellipsis; overflow-x:hidden; overflow-y:hidden; font-size:26px; font-variant:small-caps;
 }
	#menu { float:left; margin:3px 3px 0px 0px; }



#crossword { width:750px; height:550px; overflow:auto; }



#sidebar { width:300px; overflow-y:auto; font-family:verdana; font-size:13px; }
#sidebar ul { padding-left: 0px; }
#sidebar ol { padding-left: 20px; }

#a_content { overflow-y:auto; }

#article h2 { margin-top:5px; }

#article div.att { margin-top:60px; border:1px solid #bbb; }
#article div.att p { margin:5px; }
#article div.att a { white-space:nowrap; }




*/




/* modal */


/*
.jqmOverlay { background-color:#fff; }

.jqmWindow { display: none; position: fixed; top: 17%; left: 50%; margin-left: -300px; width: 600px; background-color: #EEE; color: #333; border: 1px solid black; padding: 12px; -moz-border-radius: 10px;  -webkit-border-radius: 10px;   -khtml-border-radius: 10px;    border-radius: 10px; }

* html div.jqmWindow { position: absolute; top: expression((document.documentElement.scrollTop || document.body.scrollTop) + Math.round(17 * (document.documentElement.offsetHeight || document.body.clientHeight) / 100) + 'px'); }


.modalInner { margin:5px; border:1px solid #000; background-color:#fff; padding:5px 10px; width:670px; color:#f00; font-weight:bold; -moz-border-radius: 10px;  -webkit-border-radius: 10px;   -khtml-border-radius: 10px;    border-radius: 10px; }

.jqmClose { cursor:pointer; position:absolute; right:10px; top:10px; text-align:center; padding:2px 4px; background-color:#f88; color:#fff; -moz-border-radius: 3px;  -webkit-border-radius: 3px;   -khtml-border-radius: 3px;    border-radius: 3px; }
.jqmClose:hover { background-color:#f00; }

.jqmWindow label { width:80px; text-align:right; display:inline-block; margin-bottom:5px; }
.jqmWindow input { width:400px; border:1px solid #888; }
.jqmWindow h2 { margin-top:0px; text-align:center; }

.jqmWindow .btns { text-align:center; }
.jqmWindow .btns input { width:auto; }
*/



/* multiplayer colors */
.pl1 { color:#f00; background-color:#ecc; }
.pl2 { color:#060; background-color:#cec; }
.pl3 { color:#00f; background-color:#cce; }
.pl4 { color:#880; background-color:#eec; }
.pl5 { color:#088; background-color:#cee; }
.pl6 { color:#808; background-color:#ece; }
.pl7 { color:#f0f; background-color:#eae; }
.pl8 { color:#000; background-color:#ddd; }
table.crossword td.char.hlt1 { background-color:#ecc; }
table.crossword td.char.hlt2 { background-color:#cec; }
table.crossword td.char.hlt3 { background-color:#cce; }
table.crossword td.char.hlt4 { background-color:#eec; }
table.crossword td.char.hlt5 { background-color:#cee; }
table.crossword td.char.hlt6 { background-color:#ece; }
table.crossword td.char.hlt7 { background-color:#eae; }
table.crossword td.char.hlt8 { background-color:#ddd; }











.cw_tooltip_img { max-width:300px; max-height:300px; }
